%define name contacts
%define version 0.8
%define release %mkrel 1

Summary: Small, lightweight addressbook
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pimlico-project.org/sources/contacts/%{name}-%{version}.tar.bz2
Patch0:  contacts-0.5-fix-build.patch
License: GPL
Group: Graphical desktop/GNOME
Url: http://pimlico-project.org/contacts.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libedataserver-devel
BuildRequires: libgtk+2-devel
BuildRequires: desktop-file-utils

%description
Contacts is a small, lightweight addressbook that uses libebook, part of EDS.
This is the same library that GNOME Evolution uses, so all contact data that
exists in your Evolution addressbook is accessible via Contacts.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --remove-category="Application" \
  --remove-category="Office" \
  --remove-category="Project Management" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*

%define schemas %name

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%update_menus
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_icon_cache hicolor
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog 
%_sysconfdir/gconf/schemas/
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_mandir/man1/*
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg

%lang(all) %{_datadir}/locale/*/LC_MESSAGES/*




%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.8-1mdv2009.0
+ Revision: 218438
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.8-1mdv2008.1
+ Revision: 177333
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - patch 0: fix build
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.5

  + Pascal Terjan <pterjan@mandriva.org>
    - Update URL
    - Add complete URL for source
    - Copy the more complete description from the website


* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 0.3-1mdv2007.1
+ Revision: 135013
- Import contacts

